# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "golem-ai-embed"
version = "0.5.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Library for working with AI models and providers APIs on Golem Cloud"
homepage = "https://golem.cloud"
readme = false
license = "Apache-2.0"
repository = "https://github.com/golemcloud/golem-ai"

[features]
default = ["durability"]
durability = ["golem-rust/durability"]

[lib]
name = "golem_ai_embed"
path = "src/lib.rs"

[dependencies.golem-rust]
version = "=2.0.0"

[dependencies.golem-wasi-http]
version = "0.2.0"
features = ["json"]

[dependencies.log]
version = "0.4.29"
features = ["kv"]

[dependencies.mime]
version = "0.3.17"

[dependencies.nom]
version = "7.1"
default-features = false

[dependencies.thiserror]
version = "2.0.12"

[dependencies.wasi-logger]
version = "0.1.2"
